# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="This"
HOMEPAGE="https://www.intel.com/content/www/us/en/developer/tools/oneapi/base-toolkit-download.html?packages=oneapi-toolkit&oneapi-toolkit-os=linux&oneapi-lin=offline"
SRC_URI="https://ftp5.gwdg.de/pub/linux/archlinux/extra-testing/os/x86_64/${P}-3-x86_64.pkg.tar.zst -> ${P}.tar.zst"

S="${WORKDIR}/${P}"

LICENSE=""
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RESTRICT="strip test"

RDEPEND=""
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"

src_unpack() {
	mkdir "${S}"
	cd "${S}"
	tar --zstd -xvf "${DISTDIR}/${P}.tar.zst"
}

src_prepare() {
	cd "${S}"
	rm .BUILDINFO .INSTALL .MTREE .PKGINFO
	default
}

src_install() {
	cd "${S}"
	mkdir "${D}"
	insinto "${D}"
	doins -r opt etc usr
}
